## org.apache.axis.handlers
Class LogHandler

    java.lang.Object
      |
      +--org.apache.axis.handlers.BasicHandler
            |
            +--org.apache.axis.handlers.LogHandler

All Implemented Interfaces:
  Handler, java.io.Serializable

public class LogHandler
extends BasicHandler

A simple Handler which logs the request and response messages to either the console or a specified file (default "axis.log"). To use this, deploy it either in both the request and response flows (global, service, or transport) or in just the response flow. If deployed in both places, you'll also get an elapsed time indication, which can be handy for debugging.

Author:
  Doug Davis (dug@us.ibm.com), Glen Daniels (gdaniels@apache.org)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` `log`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`LogHandler()`

Method Summary
`void` `init()` Stubbed-out methods.
`void` `invoke(MessageContext msgContext)` Must implement this in subclasses.
`void` `onFault(MessageContext msgContext)` Called when a subsequent handler throws a fault.

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, initHashtable, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### LogHandler

    public LogHandler()

Method Detail

### init

    public void init()

  Description copied from class: `BasicHandler`
  Stubbed-out methods. Override in your child class to implement any real behavior.

  Specified by:
    `init` in interface `Handler`
  Overrides:
    `init` in class `BasicHandler`

### invoke

    public void invoke(MessageContext msgContext)
                throws AxisFault

  Description copied from class: `BasicHandler`
  Must implement this in subclasses.

  Specified by:
    `invoke` in interface `Handler`
  Specified by:
    `invoke` in class `BasicHandler`
    `AxisFault`

### onFault

    public void onFault(MessageContext msgContext)

  Description copied from interface: `Handler`
  Called when a subsequent handler throws a fault.

  Specified by:
    `onFault` in interface `Handler`
  Overrides:
    `onFault` in class `BasicHandler`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.